Package org.eclipse.cdt.utils.coff

# Class Exe

java.lang.Object
org.eclipse.cdt.utils.coff.Exe

All Implemented Interfaces:
  `AutoCloseable`

public class Exe extends Object implements AutoCloseable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Exe.ExeHeader`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NL`
`protected RandomAccessFile`
`rfile`

## Constructor Summary

Constructors
Constructor
Description
`Exe(String file)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`Exe.ExeHeader`
`getExeHeader()`
`static void`
`main(String[] args)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NL

public static final String NL

### rfile

protected RandomAccessFile rfile

## Constructor Details

### Exe

public Exe(String file) throws IOException

Throws:
  `IOException`

## Method Details

### getExeHeader

public Exe.ExeHeader getExeHeader() throws IOException

Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### close

public void close() throws Exception

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `Exception`

### main

public static void main(String[] args)